# OESCompressedPalettedTexture (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengles
Class OESCompressedPalettedTexture

    java.lang.Object
      org.lwjgl.opengles.OESCompressedPalettedTexture

    public final class OESCompressedPalettedTexture

extends java.lang.Object

Field Summary
`static int` `GL_PALETTE4_R5_G6_B5_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE4_RGB5_A1_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE4_RGB8_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE4_RGBA4_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE4_RGBA8_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE8_R5_G6_B5_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE8_RGB5_A1_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE8_RGB8_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE8_RGBA4_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D
`static int` `GL_PALETTE8_RGBA8_OES` Accepted by the <internalformat> paramter of CompressedTexImage2D

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_PALETTE4_RGB8_OES

    public static final int GL_PALETTE4_RGB8_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE4_RGBA8_OES

    public static final int GL_PALETTE4_RGBA8_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE4_R5_G6_B5_OES

    public static final int GL_PALETTE4_R5_G6_B5_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE4_RGBA4_OES

    public static final int GL_PALETTE4_RGBA4_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE4_RGB5_A1_OES

    public static final int GL_PALETTE4_RGB5_A1_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE8_RGB8_OES

    public static final int GL_PALETTE8_RGB8_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE8_RGBA8_OES

    public static final int GL_PALETTE8_RGBA8_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE8_R5_G6_B5_OES

    public static final int GL_PALETTE8_R5_G6_B5_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE8_RGBA4_OES

    public static final int GL_PALETTE8_RGBA4_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

### GL_PALETTE8_RGB5_A1_OES

    public static final int GL_PALETTE8_RGB5_A1_OES

  Accepted by the <internalformat> paramter of CompressedTexImage2D

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.